org.apache.cassandra.db.composites

## Class Composites

- java.lang.Object
- - org.apache.cassandra.db.composites.Composites

    public abstract class Composites
    extends java.lang.Object

### Field Summary

Fields
`static Composite` `EMPTY`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.List<java.nio.ByteBuffer>` `toByteBuffers(java.util.List<Composite> composites)` Converts the specified `Composites` into `ByteBuffer`s.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY

    public static final Composite EMPTY

### Method Detail

#### toByteBuffers

    public static java.util.List<java.nio.ByteBuffer> toByteBuffers(java.util.List<Composite> composites)

Converts the specified `Composites` into `ByteBuffer`s.

Parameters:
  `composites` - the composites to convert.
Returns:
  the `ByteBuffer`s corresponding to the specified `Composites`.